# Get order

Retrieves a specified order.

Endpoint: GET /v2/project/{project_id}/distribution_hub/order/{order_id}
Version: 1.0.0
Security: AuthForClient

## Path parameters:

  - `project_id` (integer, required)
    Project ID.
    Example: 44056

  - `order_id` (string, required)
    Order ID.
    Example: "656"

## Response 200 fields (application/json):

  - `order_id` (integer)
    Order ID.
    Example: 1

  - `status` (string)
    Order status: new/paid/done/canceled.
    Example: "paid"

  - `content` (object)
    Order details.

  - `content.price` (object)
    Order price.

  - `content.price.amount` (string)
    Order discount price.
    Example: "30"

  - `content.price.amount_without_discount` (string)
    Order price.
    Example: "30"

  - `content.price.currency` (string)
    Default purchase currency. Three-letter code per [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
    Example: "USD"

  - `content.virtual_price` (object)
    Order price in virtual currency.

  - `content.virtual_price.amount` (string)
    Order discount price.
    Example: "100"

  - `content.virtual_price.amount_without_discount` (string)
    Order price.
    Example: "150"

  - `content.virtual_price.currency` (string)
    Virtual currency SKU used in order.
    Example: "test_vc"

  - `content.is_free` (string)
    If true, the order is free.
    Example: "false"

  - `content.items` (array)
    Items list.
    Example: [{"sku":"some_sku","quantity":1,"is_free":false,"price":{"amount":"30","amount_without_discount":"30","currency":"USD"}}]

  - `content.items.sku` (string)
    Unique item ID. The SKU may only contain lowercase Latin alphanumeric characters, periods, dashes, and underscores.
    Example: "some_sku"

  - `content.items.quantity` (integer)
    Item quantity.
    Example: 1

  - `content.items.is_free` (string)
    If true, the item is free.
    Example: "false"

  - `content.items.price` (object)
    Item price.

  - `content.items.price.amount` (string)
    Discounted item price.
    Example: "30"

  - `content.items.price.amount_without_discount` (string)
    Item price.
    Example: "30"

  - `content.items.price.currency` (string)
    Default purchase currency. Three-letter code per [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217).
    Example: "USD"

## Response 404 fields (application/json):

  - `statusCode` (integer)
    Example: 404

  - `errorCode` (integer)
    Example: 9001

  - `errorMessage` (string)
    Example: "[0401-9001]: Order not found"


